﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Data;
using SilverlightGrid.Web;

namespace SilverlightGrid
{
    public partial class MainPage : UserControl
    {
        DomainService1 service = new DomainService1();
        bool addingNewDataItem = false;

        public MainPage()
        {
            InitializeComponent();

            RadGridView1.AddingNewDataItem += new EventHandler<GridViewAddingNewEventArgs>(RadGridView1_AddingNewDataItem);
            RadGridView1.RowEditEnded += new EventHandler<GridViewRowEditEndedEventArgs>(RadGridView1_RowEditEnded);

            service.LoadTable1();
            service.Loaded += new EventHandler<System.Windows.Ria.Data.LoadedDataEventArgs>(context_Loaded);
        }

        void RadGridView1_RowEditEnded(object sender, GridViewRowEditEndedEventArgs e)
        {
            if (addingNewDataItem)
            {
                Table1 toAdd = (Table1)e.NewData;
                service.Table1s.Add(toAdd);
                RadGridView1.Rebind();
                addingNewDataItem = false;
            }
        }

        void RadGridView1_AddingNewDataItem(object sender, GridViewAddingNewEventArgs e)
        {
            addingNewDataItem = true;

            e.NewObject = new Table1();
        }

        void context_Loaded(object sender, System.Windows.Ria.Data.LoadedDataEventArgs e)
        {
            RadGridView1.ItemsSource = service.Table1s;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            service.SubmitChanges();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            Table1 toDelete = (Table1)((Button)sender).ParentOfType<GridViewRow>().DataContext;
            if (service.Table1s.Contains<Table1>(toDelete))
            {
                service.Table1s.Remove(toDelete);
            }
        }
    }
}
